Subject: bug#53778: 29.0.50; Can't start Emacs because of RenderBadPicture X protocol error

From: Mauro Aranda <[email-masked]>
Date: Fri, 4 Feb 2022 12:45:26 -0300

On Fri, Feb 4, 2022, 12:16 Eli Zaretskii <[email-masked]> wrote:

>> From: Mauro Aranda <[email-masked]>
>> Date: Fri, 4 Feb 2022 12:14:54 -0300
>> Cc: [email-masked]
>>
>> With GDB 10.1, I get:
>>
>> ../../gdb/utils.c:671: internal-error: virtual memory exhausted: can't
allocate 4064 bytes.
>> A problem internal to GDB has been detected,
>> further debugging may prove unreliable.

> How much memory and how much swap do you have on that system?  Can you
> enlarge the virtual memory available to applications (e.g., by
> enlarging the amount of swap)?

bash-5.1$ free -m
               total        used        free      shared  buff/cache
available
Mem:            1883         554         523          34         806
 1083
Swap:           4095           0        4095

> Or maybe try a different version of GDB, either newer (GDB 11 was
> released some time ago) or older.

I'll see what I can do, thank you.